Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class NamespaceIterator

    java.lang.Object
      net.sf.saxon.om.NamespaceIterator

All Implemented Interfaces:
  AxisIterator, SequenceIterator

public class NamespaceIterator
extends java.lang.Object
implements AxisIterator

This class provides an implementation of the namespace axis over any implementation of the data model. It relies on element nodes to implement the method `NodeInfo.getDeclaredNamespaces(int[])`

Nested Class Summary
`static class` | `NamespaceIterator.NamespaceNodeImpl` Inner class: a model-independent representation of a namespace node

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`NamespaceIterator(NodeInfo element, NodeTest test)`

Method Summary
`void` | `advance()` Get the next item in the sequence.
`Item` | `current()` Get the current item in the sequence.
`SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence
`int[]` | `getInScopeNamespaceCodes()` Get a list of in-scope namespace codes.
`int` | `getProperties()` Get properties of this iterator, as a bit-significant integer.
`Item` | `next()` Get the next item in the sequence.
`int` | `position()` Get the current position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceIterator

    public NamespaceIterator(NodeInfo element,
                             NodeTest test)

Method Detail

### advance

    public void advance()

  Get the next item in the sequence.

### next

    public Item next()

  Get the next item in the sequence.

  Specified by:
    `next` in interface `AxisIterator`
  Returns:
    the next Item. If there are no more nodes, return null.

### current

    public Item current()

  Get the current item in the sequence.

  Specified by:
    `current` in interface `AxisIterator`
  Returns:
    the current item, that is, the item most recently returned by next()

### position

    public int position()

  Get the current position

  Specified by:
    `position` in interface `AxisIterator`
  Returns:
    the position of the current item (the item most recently returned by next()), starting at 1 for the first node

### getAnother

    public SequenceIterator getAnother()

  Get another iterator over the same sequence of items, positioned at the start of the sequence

  Specified by:
    `getAnother` in interface `AxisIterator`
  Returns:
    a new iterator over the same sequence

### getProperties

    public int getProperties()

  Get properties of this iterator, as a bit-significant integer.

  Specified by:
    `getProperties` in interface `SequenceIterator`
  Returns:
    the properties of this iterator. This will be some combination of properties such as `GROUNDED`, `LAST_POSITION_FINDER`, and `LOOKAHEAD`. It is always acceptable to return the value zero, indicating that there are no known special properties. It is acceptable for the properties of the iterator to change depending on its state.

### getInScopeNamespaceCodes

    public int[] getInScopeNamespaceCodes()

  Get a list of in-scope namespace codes. If an array of namespace codes is needed, without actually constructing the namespace nodes, a caller may create the NamespaceIterator and then call this method. The result is an array of integers, each containing a prefix code in the top half and a uri code in the bottom half. Note that calling this method is destructive: the iterator is consumed and cannot be used again.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD